<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_playlist_entry_8h_source.html">PlaylistEntry.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry:</div>
<div class="dyncontent">
<div class="center"><img src="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry_coll__map">
<area shape="rect" id="node2" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html" title="alexaClientSDK::avsCommon\l::utils::playlistParser\l::EncryptionInfo" alt="" coords="5,5,202,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:af3b87e4cff421011b7977d5657fa08fc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">Type</a> { <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fca08ab48c045e37431de2a8b00b3d0e1f6">Type::MEDIA_INFO</a>, 
<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fcab20d7038cf2f32ffdcf97dde6838ba13">Type::MEDIA_INIT_INFO</a>, 
<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fca40eacd29c136e201c205908559a3693c">Type::AUDIO_CONTENT</a>
 }</td></tr>
<tr class="separator:af3b87e4cff421011b7977d5657fa08fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a121273d2a0cefc44af69877f485bea06"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a121273d2a0cefc44af69877f485bea06">PlaylistEntry</a> (std::string _url, std::chrono::milliseconds _duration, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#ab60fb31cb5497bc9f16feda4fc24fe8a">avsCommon::utils::playlistParser::PlaylistParseResult</a> _parseResult, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">Type</a> _type=<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fca08ab48c045e37431de2a8b00b3d0e1f6">Type::MEDIA_INFO</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a> _byteRange=std::make_tuple(0, 0), <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a> _encryptionInfo=<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a>(), std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a> &gt; _contentFetcher=nullptr)</td></tr>
<tr class="separator:a121273d2a0cefc44af69877f485bea06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9509d36cec2baa519e69e6473c600c7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#aa9509d36cec2baa519e69e6473c600c7">hasValidByteRange</a> () const</td></tr>
<tr class="separator:aa9509d36cec2baa519e69e6473c600c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a8194f6c84100e58d8742e24e25435e5e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a8194f6c84100e58d8742e24e25435e5e">createErrorEntry</a> (const std::string &amp;<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ad9049c222b1891c83f66faa89eb145c5">url</a>)</td></tr>
<tr class="separator:a8194f6c84100e58d8742e24e25435e5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657463f7dfae03ba3c7b09810a6bfd23"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a657463f7dfae03ba3c7b09810a6bfd23">createMediaInitInfo</a> (std::string <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ad9049c222b1891c83f66faa89eb145c5">url</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a> <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a1d01b38fda698ba2e4132257caa96ba1">byteRange</a>=std::make_tuple(0, 0))</td></tr>
<tr class="separator:a657463f7dfae03ba3c7b09810a6bfd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae799359283072546789995433b8ace5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ae799359283072546789995433b8ace5c">type</a></td></tr>
<tr class="memdesc:ae799359283072546789995433b8ace5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type of playlist entry.  <a href="#ae799359283072546789995433b8ace5c">More...</a><br /></td></tr>
<tr class="separator:ae799359283072546789995433b8ace5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9049c222b1891c83f66faa89eb145c5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ad9049c222b1891c83f66faa89eb145c5">url</a></td></tr>
<tr class="memdesc:ad9049c222b1891c83f66faa89eb145c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The URL for the entry.  <a href="#ad9049c222b1891c83f66faa89eb145c5">More...</a><br /></td></tr>
<tr class="separator:ad9049c222b1891c83f66faa89eb145c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86951bfb09b9ab8e611ca40375435ae8"><td class="memItemLeft" align="right" valign="top">std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a86951bfb09b9ab8e611ca40375435ae8">duration</a></td></tr>
<tr class="memdesc:a86951bfb09b9ab8e611ca40375435ae8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The duration of the content if its known; INVALID_DURATION otherwise.  <a href="#a86951bfb09b9ab8e611ca40375435ae8">More...</a><br /></td></tr>
<tr class="separator:a86951bfb09b9ab8e611ca40375435ae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cd9667effc58e737b10bea7f3b9a6af"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#ab60fb31cb5497bc9f16feda4fc24fe8a">PlaylistParseResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a4cd9667effc58e737b10bea7f3b9a6af">parseResult</a></td></tr>
<tr class="memdesc:a4cd9667effc58e737b10bea7f3b9a6af"><td class="mdescLeft">&#160;</td><td class="mdescRight">The latest parsing result.  <a href="#a4cd9667effc58e737b10bea7f3b9a6af">More...</a><br /></td></tr>
<tr class="separator:a4cd9667effc58e737b10bea7f3b9a6af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d01b38fda698ba2e4132257caa96ba1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a1d01b38fda698ba2e4132257caa96ba1">byteRange</a></td></tr>
<tr class="memdesc:a1d01b38fda698ba2e4132257caa96ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">ByteRange to download.  <a href="#a1d01b38fda698ba2e4132257caa96ba1">More...</a><br /></td></tr>
<tr class="separator:a1d01b38fda698ba2e4132257caa96ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350a99e95723665a6499d2b3a13341f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a350a99e95723665a6499d2b3a13341f1">encryptionInfo</a></td></tr>
<tr class="memdesc:a350a99e95723665a6499d2b3a13341f1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a> of the media.  <a href="#a350a99e95723665a6499d2b3a13341f1">More...</a><br /></td></tr>
<tr class="separator:a350a99e95723665a6499d2b3a13341f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5dd5a96269135f65eb7209bf5443447"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#ae5dd5a96269135f65eb7209bf5443447">contentFetcher</a></td></tr>
<tr class="separator:ae5dd5a96269135f65eb7209bf5443447"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Struct to hold information about an entry parsed from playlist. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="af3b87e4cff421011b7977d5657fa08fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3b87e4cff421011b7977d5657fa08fc">&#9670;&nbsp;</a></span>Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::Type</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Type of playlist entry. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="af3b87e4cff421011b7977d5657fa08fca08ab48c045e37431de2a8b00b3d0e1f6"></a>MEDIA_INFO&#160;</td><td class="fielddoc"><p class="">Playlist Entry is about media. </p>
</td></tr>
<tr><td class="fieldname"><a id="af3b87e4cff421011b7977d5657fa08fcab20d7038cf2f32ffdcf97dde6838ba13"></a>MEDIA_INIT_INFO&#160;</td><td class="fielddoc"><p class="">Playlist Entry is about media initialization. </p>
</td></tr>
<tr><td class="fieldname"><a id="af3b87e4cff421011b7977d5657fa08fca40eacd29c136e201c205908559a3693c"></a>AUDIO_CONTENT&#160;</td><td class="fielddoc"><p class="">Playlist Entry is audio content, not a playlist. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a121273d2a0cefc44af69877f485bea06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a121273d2a0cefc44af69877f485bea06">&#9670;&nbsp;</a></span>PlaylistEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::PlaylistEntry </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>_url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>_duration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#ab60fb31cb5497bc9f16feda4fc24fe8a">avsCommon::utils::playlistParser::PlaylistParseResult</a>&#160;</td>
          <td class="paramname"><em>_parseResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">Type</a>&#160;</td>
          <td class="paramname"><em>_type</em> = <code><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fca08ab48c045e37431de2a8b00b3d0e1f6">Type::MEDIA_INFO</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a>&#160;</td>
          <td class="paramname"><em>_byteRange</em> = <code>std::make_tuple(0,&#160;0)</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a>&#160;</td>
          <td class="paramname"><em>_encryptionInfo</em> = <code><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a>()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>_contentFetcher</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname"></td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8194f6c84100e58d8742e24e25435e5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8194f6c84100e58d8742e24e25435e5e">&#9670;&nbsp;</a></span>createErrorEntry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::createErrorEntry </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method to create ERROR <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a></p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>playlist URL </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a> with url, INVALID_DURATION and ERROR parseResult. </dd></dl>

</div>
</div>
<a id="a657463f7dfae03ba3c7b09810a6bfd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657463f7dfae03ba3c7b09810a6bfd23">&#9670;&nbsp;</a></span>createMediaInitInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::createMediaInitInfo </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a>&#160;</td>
          <td class="paramname"><em>byteRange</em> = <code>std::make_tuple(0,&#160;0)</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method to create MEDIA_INIT_INFO <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">url</td><td>playlist URL </td></tr>
    <tr><td class="paramname">byteRange</td><td>The byte range of the MEDIA_INIT_INFO to download. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html">PlaylistEntry</a> with url, INVALID_DURATION and STILL_ONGOING parseResult. </dd></dl>

</div>
</div>
<a id="aa9509d36cec2baa519e69e6473c600c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9509d36cec2baa519e69e6473c600c7">&#9670;&nbsp;</a></span>hasValidByteRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::hasValidByteRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns true if byterange is valid. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1d01b38fda698ba2e4132257caa96ba1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d01b38fda698ba2e4132257caa96ba1">&#9670;&nbsp;</a></span>byteRange</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#aaf393ec6797d10541b558b52bb9c5514">ByteRange</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::byteRange</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ByteRange to download. </p>

</div>
</div>
<a id="ae5dd5a96269135f65eb7209bf5443447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5dd5a96269135f65eb7209bf5443447">&#9670;&nbsp;</a></span>contentFetcher</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_h_t_t_p_content_fetcher_interface.html">avsCommon::sdkInterfaces::HTTPContentFetcherInterface</a>&gt; alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::contentFetcher</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">The content fetcher associated with this playlist item. If a content fetcher is set, then it should be considered to be safe to use it. Otherwise, a new content fetcher should be created. </p>

</div>
</div>
<a id="a86951bfb09b9ab8e611ca40375435ae8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86951bfb09b9ab8e611ca40375435ae8">&#9670;&nbsp;</a></span>duration</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::chrono::milliseconds alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::duration</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The duration of the content if its known; INVALID_DURATION otherwise. </p>

</div>
</div>
<a id="a350a99e95723665a6499d2b3a13341f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a350a99e95723665a6499d2b3a13341f1">&#9670;&nbsp;</a></span>encryptionInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::encryptionInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html">EncryptionInfo</a> of the media. </p>

</div>
</div>
<a id="a4cd9667effc58e737b10bea7f3b9a6af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cd9667effc58e737b10bea7f3b9a6af">&#9670;&nbsp;</a></span>parseResult</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser.html#ab60fb31cb5497bc9f16feda4fc24fe8a">PlaylistParseResult</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::parseResult</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The latest parsing result. </p>

</div>
</div>
<a id="ae799359283072546789995433b8ace5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae799359283072546789995433b8ace5c">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#af3b87e4cff421011b7977d5657fa08fc">Type</a> alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Type of playlist entry. </p>

</div>
</div>
<a id="ad9049c222b1891c83f66faa89eb145c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9049c222b1891c83f66faa89eb145c5">&#9670;&nbsp;</a></span>url</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry::url</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The URL for the entry. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/PlaylistParser/<a class="el" href="_playlist_entry_8h_source.html">PlaylistEntry.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
